/**
  * @enum EStreamGamepadInputType
  */
module.exports = {
	Invalid: 0,
	DPadUp: 1,
	DPadDown: 2,
	DPadLeft: 4,
	DPadRight: 8,
	Start: 16,
	Back: 32,
	LeftThumb: 64,
	RightThumb: 128,
	LeftShoulder: 256,
	RightShoulder: 512,
	Guide: 1024,
	A: 4096,
	B: 8192,
	X: 16384,
	Y: 32768,
	LeftThumbX: 65536,
	LeftThumbY: 131072,
	RightThumbX: 262144,
	RightThumbY: 524288,
	LeftTrigger: 1048576,
	RightTrigger: 2097152,

	// Value-to-name mapping for convenience
	0: 'Invalid',
	1: 'DPadUp',
	2: 'DPadDown',
	4: 'DPadLeft',
	8: 'DPadRight',
	16: 'Start',
	32: 'Back',
	64: 'LeftThumb',
	128: 'RightThumb',
	256: 'LeftShoulder',
	512: 'RightShoulder',
	1024: 'Guide',
	4096: 'A',
	8192: 'B',
	16384: 'X',
	32768: 'Y',
	65536: 'LeftThumbX',
	131072: 'LeftThumbY',
	262144: 'RightThumbX',
	524288: 'RightThumbY',
	1048576: 'LeftTrigger',
	2097152: 'RightTrigger',
};
