const ECurrencyCode = require('../enums/ECurrencyCode.js');

let CurrencyData = {};
CurrencyData[ECurrencyCode.USD] = {prepend: '$'};
CurrencyData[ECurrencyCode.GBP] = {prepend: '\u00a3'};
CurrencyData[ECurrencyCode.EUR] = {append: '\u20ac', commas: true};
CurrencyData[ECurrencyCode.CHF] = {append: ' CHF'};
CurrencyData[ECurrencyCode.RUB] = {append: ' p\u0443\u0431.', commas: true, whole: true};
CurrencyData[ECurrencyCode.PLN] = {append: ' PLN'};
CurrencyData[ECurrencyCode.BRL] = {append: ' R$', commas: true};
CurrencyData[ECurrencyCode.JPY] = {prepend: '\u00a5 ', whole: true};
CurrencyData[ECurrencyCode.NOK] = {append: ' kr', commas: true};
CurrencyData[ECurrencyCode.IDR] = {prepend: 'Rp '};
CurrencyData[ECurrencyCode.MYR] = {prepend: 'RM '};
CurrencyData[ECurrencyCode.PHP] = {prepend: 'P '};
CurrencyData[ECurrencyCode.SGD] = {prepend: 'S$ '};
CurrencyData[ECurrencyCode.THB] = {prepend: '\u0e3f '};
CurrencyData[ECurrencyCode.VND] = {append: ' VND'};
CurrencyData[ECurrencyCode.KRW] = {prepend: '\u20a9', whole: true};
CurrencyData[ECurrencyCode.TRY] = {append: ' TRY'};
CurrencyData[ECurrencyCode.UAH] = {append: ' UAH'};
CurrencyData[ECurrencyCode.MXN] = {prepend: 'Mex$ '};
CurrencyData[ECurrencyCode.CAD] = {prepend: 'CDN$ '};
CurrencyData[ECurrencyCode.AUD] = {prepend: 'A$ '};
CurrencyData[ECurrencyCode.NZD] = {prepend: 'NZ$ '};
CurrencyData[ECurrencyCode.CNY] = {append: ' CNY'};
CurrencyData[ECurrencyCode.INR] = {append: ' INR'};
CurrencyData[ECurrencyCode.CLP] = {append: ' CLP'};
CurrencyData[ECurrencyCode.PEN] = {append: ' PEN'};
CurrencyData[ECurrencyCode.COP] = {append: ' COP'};
CurrencyData[ECurrencyCode.ZAR] = {append: ' ZAR'};
CurrencyData[ECurrencyCode.HKD] = {append: ' HKD'};
CurrencyData[ECurrencyCode.TWD] = {append: ' TWD'};
CurrencyData[ECurrencyCode.SAR] = {append: ' SAR'};
CurrencyData[ECurrencyCode.AED] = {append: ' AED'};

module.exports = CurrencyData;
